For the complete documentation index, see llms.txt. This page is also available as Markdown.

getClusterNodes

getClusterNodes — All cluster nodes

post
/

Returns information about all the nodes participating in the cluster. This includes details about each node's network addresses, version, and configuration parameters.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getClusterNodes.

Example: getClusterNodesPossible values:
paramsarrayRequired

No parameters.

Responses
200

Successful getClusterNodes response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getClusterNodes",
    "params": []
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "pubkey": "FbXMxhgoCYbZ4dWaCVzJWeFqW2tQ8sR82Hi8YyQrEaxR",
      "gossip": "203.0.113.10:8001",
      "tpu": "203.0.113.10:8003",
      "rpc": null,
      "version": "3.1.10",
      "featureSet": 1620780344,
      "shredVersion": 0
    }
  ]
}

Last updated